copy_to_user_fromio
Prev | Chapter 22. Sound Devices | Next

## Name

copy_to_user_fromio — copy data from mmio-space to user-space

## Synopsis

`int copy_to_user_fromio (` | void __user * | dst,
| const volatile void __iomem * | src,
| size_t | count`)`;

## Arguments

`dst`

  the destination pointer on user-space

`src`

  the source pointer on mmio

`count`

  the data size to copy in bytes

## Description

Copies the data from mmio-space to user-space.

Returns zero if successful, or non-zero on failure.

Prev | Up | Next
snd_unregister_device | Home | copy_from_user_toio